<?xml version="1.0" encoding="UTF-8"?>
<SAN_Simulator>
    <Class Name="LSISSI_RegisteredProfile" Namespace="/interop" NOI="3">
        <Property Name="InstanceID" Type="string" Random="false" Key="true" Multiple="true">
            <Value>LSISSI:Array_1.1.0</Value>
            <Value>LSISSI:Array_1.0.3</Value>
            <Value>LSISSI:Array_1.0.2</Value>
        </Property>
        <Property Name="RegisteredOrganization" Type="uint16" Random="false">
            <Value>11</Value>
        </Property>
        <Property Name="OtherRegisteredOrganization" Type="string" Random="false">
        </Property>
        <Property Name="RegisteredName" Type="string" Random="false">
            <Value>Array</Value>
        </Property>
        <Property Name="RegisteredVersion" Type="string" Random="false" Multiple="true">
            <Value>1.1.0</Value>
            <Value>1.0.3</Value>
            <Value>1.0.2</Value>
        </Property>
        <Property Name="AdvertiseTypes" Type="uint16[]" Random="false">
            <Value>3</Value>
        </Property>
        <Property Name="AdvertiseTypeDescriptions" Type="string[]" Random="false">
        </Property>
        <Property Name="Caption" Type="string" Random="false">
            <Value>SNIA:Array</Value>
        </Property>
        <Property Name="Description" Type="string" Random="false">
        </Property>
        <Property Name="ElementName" Type="string" Random="false">
            <Value>SNIA:Array</Value>
        </Property>
    </Class>        
   
    <Class Name="LSISSI_ServerRegisteredProfile" Namespace="/interop" NOI="3">
        <Property Name="InstanceID" Type="string" Random="false" Key="true" Multiple="true">
            <Value>LSISSI:Server_1.1.0</Value>
            <Value>LSISSI:Server_1.0.3</Value>
            <Value>LSISSI:Server_1.0.2</Value>
        </Property>
        <Property Name="RegisteredOrganization" Type="uint16" Random="false">
            <Value>11</Value>
        </Property>
        <Property Name="OtherRegisteredOrganization" Type="string" Random="false">
        </Property>
        <Property Name="RegisteredName" Type="string" Random="false">
            <Value>Server</Value>
        </Property>
        <Property Name="RegisteredVersion" Type="string" Random="false" Multiple="true">
            <Value>1.1.0</Value>
            <Value>1.0.3</Value>
            <Value>1.0.2</Value>
        </Property>
        <Property Name="AdvertiseTypes" Type="uint16[]" Random="false">
            <Value>3</Value>
        </Property>
        <Property Name="AdvertiseTypeDescriptions" Type="string[]" Random="false">
        </Property>
        <Property Name="Caption" Type="string" Random="false">
            <Value>SNIA:Server</Value>
        </Property>
        <Property Name="Description" Type="string" Random="false">
        </Property>
        <Property Name="ElementName" Type="string" Random="false">
            <Value>SNIA:Server</Value>
        </Property>
    </Class>
    
    <Class Name="LSISSI_Namespace" Namespace="/interop" NOI="1">
        <Property Name="SystemCreationClassName" Type="string" Random="false" Key="true">
            <Value>LSISSI_StorageManagementSystem</Value>
        </Property>
        <Property Name="SystemName" Type="string" Random="true" Seperator="." Multiple="true" Key="true">
			<Value>2</Value>
			<Value>2</Value>
			<Value>2</Value>
			<Value>2</Value>>
        </Property>
        <Property Name="ObjectManagerCreationClassName" Type="string" Random="false" Key="true">
            <Value>LSISSI_ObjectManager</Value>
        </Property>
        <Property Name="ObjectManagerName" Type="string" Random="true" Key="true" Prefix="LSISSI:">
            <Value>2</Value>
			<Value>2</Value>
			<Value>2</Value>
			<Value>2</Value>
        </Property>
        <Property Name="CreationClassName" Type="string" Random="false" Key="true">
            <Value>LSISSI_Namespace</Value>
        </Property>
        <Property Name="Name" Type="string" Random="false" Key="true">
            <Value>/root/lsissi11</Value>
        </Property>
        <Property Name="ClassInfo" Type="uint16" Random="false">
            <Value>11</Value>
        </Property>
        <Property Name="DescriptionOfClassInfo" Type="string" Random="false">
        </Property>
        <Property Name="ClassType" Type="uint16" Random="false">
            <Value>2</Value>
        </Property>
        <Property Name="ClassTypeVersion" Type="string" Random="false">
        </Property>
        <Property Name="DescriptionOfClassType" Type="string" Random="false">
        </Property>
        <Property Name="Caption" Type="string" Random="false">
        </Property>
        <Property Name="Description" Type="string" Random="false">
        </Property>
        <Property Name="ElementName" Type="string" Random="false">
        </Property>
    </Class>

    <Class Name="LSISSI_RegisteredSubProfile" Namespace="/interop" NOI="37">
        <Property Name="InstanceID" Type="string" Random="false" Key="true" Multiple="true">
			<Value>LSISSI:Array:Multiple Computer System:1.1.0</Value>
			<Value>LSISSI:Array:Masking and Mapping:1.1.0</Value>
			<Value>LSISSI:Array:Copy Services:1.1.0</Value>
			<Value>LSISSI:Array:Disk Drive Lite:1.1.0</Value>
			<Value>LSISSI:Array:Software:1.1.0</Value>
			<Value>LSISSI:Array:Job Control:1.1.0</Value>
			<Value>LSISSI:Array:Extent Composition:1.1.0</Value>
			<Value>LSISSI:Array:Device Credentials:1.1.0</Value>
			<Value>LSISSI:Array:Disk Sparing:1.1.0</Value>
			<Value>LSISSI:Array:Block Server Performance:1.1.0</Value>
			<Value>LSISSI:Array:Location:1.1.0</Value>

			<Value>LSISSI:Array:Backend Ports:1.0.3</Value>
			<Value>LSISSI:Array:Pool Manipulation, Capabilities and Settings:1.0.3</Value>
			<Value>LSISSI:Array:Extent Mapping:1.0.3</Value>
			<Value>LSISSI:Array:Location:1.0.3</Value>
			<Value>LSISSI:Array:Job Control:1.0.3</Value>
			<Value>LSISSI:Array:Device Credentials:1.0.3</Value>
			<Value>LSISSI:Array:Copy Services:1.0.3</Value>
			<Value>LSISSI:Array:Software:1.0.3</Value>
			<Value>LSISSI:Array:Extra Capacity Set:1.0.3</Value>
			<Value>LSISSI:Array:LUN Creation:1.0.3</Value>
			<Value>LSISSI:Array:Disk Drive:1.0.3</Value>
			<Value>LSISSI:Array:Cluster:1.0.3</Value>
			<Value>LSISSI:Array:LUN Mapping and Masking:1.0.3</Value>
			
			<Value>LSISSI:Array:Extent Mapping:1.0.2</Value>
			<Value>LSISSI:Array:Pool Manipulation, Capabilities and Settings:1.0.2</Value>
			<Value>LSISSI:Array:Job Control:1.0.2</Value>
			<Value>LSISSI:Array:Location:1.0.2</Value>
			<Value>LSISSI:Array:Device Credentials:1.0.2</Value>
			<Value>LSISSI:Array:Copy Services:1.0.2</Value>
			<Value>LSISSI:Array:Software:1.0.2</Value>
			<Value>LSISSI:Array:Extra Capacity Set:1.0.2</Value>
			<Value>LSISSI:Array:LUN Mapping and Masking:1.0.2</Value>
			<Value>LSISSI:Array:Backend Ports:1.0.2</Value>
			<Value>LSISSI:Array:LUN Creation:1.0.2</Value>
			<Value>LSISSI:Array:Disk Drive:1.0.2</Value>
			<Value>LSISSI:Array:Cluster:1.0.2</Value>
        </Property>
        <Property Name="RegisteredOrganization" Type="uint16" Random="false">
            <Value>11</Value>
        </Property>
        <Property Name="OtherRegisteredOrganization" Type="string" Random="false">
        </Property>
        <Property Name="RegisteredName" Type="string" Random="false" Multiple="true">
			<Value>Multiple Computer System</Value>
			<Value>Masking and Mapping</Value>
			<Value>Copy Services</Value>
			<Value>Disk Drive Lite</Value>
			<Value>Software</Value>
			<Value>Job Control</Value>
			<Value>Extent Composition</Value>
			<Value>Device Credentials</Value>
			<Value>Disk Sparing</Value>
			<Value>Block Server Performance</Value>
			<Value>Location</Value>
			<Value>Backend Ports</Value>
			<Value>Pool Manipulation, Capabilities and Settings</Value>
			<Value>Extent Mapping</Value>
			<Value>Location</Value>
			<Value>Job Control</Value>
			<Value>Device Credentials</Value>
			<Value>Copy Services</Value>
			<Value>Software</Value>
			<Value>Extra Capacity Set</Value>
			<Value>LUN Creation</Value>
			<Value>Disk Drive</Value>
			<Value>Cluster</Value>
			<Value>LUN Mapping and Masking</Value>
			<Value>Extent Mapping</Value>
			<Value>Pool Manipulation, Capabilities and Settings</Value>
			<Value>Job Control</Value>
			<Value>Location</Value>
			<Value>Device Credentials</Value>
			<Value>Copy Services</Value>
			<Value>Software</Value>
			<Value>Extra Capacity Set</Value>
			<Value>LUN Mapping and Masking</Value>
			<Value>Backend Ports</Value>
			<Value>LUN Creation</Value>
			<Value>Disk Drive</Value>
			<Value>Cluster</Value>									
        </Property>
        <Property Name="RegisteredVersion" Type="string" Random="false">
			<Value>1.1.0</Value>
			<Value>1.1.0</Value>
			<Value>1.1.0</Value>
			<Value>1.1.0</Value>
			<Value>1.1.0</Value>
			<Value>1.1.0</Value>
			<Value>1.1.0</Value>
			<Value>1.1.0</Value>
			<Value>1.1.0</Value>
			<Value>1.1.0</Value>
			<Value>1.1.0</Value>
			<Value>1.0.3</Value>
			<Value>1.0.3</Value>
			<Value>1.0.3</Value>
			<Value>1.0.3</Value>
			<Value>1.0.3</Value>
			<Value>1.0.3</Value>
			<Value>1.0.3</Value>
			<Value>1.0.3</Value>
			<Value>1.0.3</Value>
			<Value>1.0.3</Value>
			<Value>1.0.3</Value>
			<Value>1.0.3</Value>
			<Value>1.0.3</Value>			
			<Value>1.0.2</Value>
			<Value>1.0.2</Value>
			<Value>1.0.2</Value>
			<Value>1.0.2</Value>
			<Value>1.0.2</Value>
			<Value>1.0.2</Value>
			<Value>1.0.2</Value>
			<Value>1.0.2</Value>
			<Value>1.0.2</Value>
			<Value>1.0.2</Value>
			<Value>1.0.2</Value>
			<Value>1.0.2</Value>
			<Value>1.0.2</Value>
        </Property>
        <Property Name="AdvertiseTypes" Type="uint16[]" Random="false">
            <Value>2</Value>
        </Property>
        <Property Name="AdvertiseTypeDescriptions" Type="string[]" Random="false">
        </Property>
        <Property Name="Caption" Type="string" Random="false" Refers="RegisteredName" Prefix="SNIA:Array:" Suffix=""> 
        </Property>
        <Property Name="Description" Type="string" Random="false">
        </Property>
        <Property Name="ElementName" Type="string" Random="false" Refers="Caption" Prefix="" Suffix=""> >
        </Property>
    </Class>
    
    <Class Name="LSISSI_CimomSharedSecret" Namespace="/interop" NOI="">
    </Class>
    
    <Class Name="LSISSI_ServerProviderSoftwareIdentity" Namespace="/interop" NOI="1">
        <Property Name="InstanceID" Type="string" Random="false" Key="true">
            <Value>LSISSI:Server_1.1.0</Value>
        </Property>
        <Property Name="MajorVersion" Type="uint16" Random="false">
        </Property>
        <Property Name="MinorVersion" Type="uint16" Random="false">
        </Property>
        <Property Name="RevisionNumber" Type="uint16" Random="false">
        </Property>
        <Property Name="BuildNumber" Type="uint16" Random="false">
        </Property>
        <Property Name="VersionString" Type="string" Random="false">
            <Value>Version 1.1.0.614-Build99.16.G0.17  BuildDate 01/12/06:10:03</Value>
        </Property>
        <Property Name="TargetOperatingSystems" Type="string[]" Random="false">
        </Property>
        <Property Name="Manufacturer" Type="string" Random="false">
            <Value></Value>
        </Property>
        <Property Name="Languages" Type="string[]" Random="false">
        </Property>
        <Property Name="Classifications" Type="uint16[]" Random="false">
            <Value>5</Value>
        </Property>
        <Property Name="ClassificationDescriptions" Type="string[]" Random="false">
        </Property>
        <Property Name="SerialNumber" Type="string" Random="false">
        </Property>
        <Property Name="TargetType" Type="string" Random="false">
        </Property>
        <Property Name="ReleaseDate" Type="datetime" Random="false">
        </Property>
        <Property Name="InstallDate" Type="datetime" Random="false">
        </Property>
        <Property Name="Name" Type="string" Random="false">
            <Value>Engenio SMI-S Provider</Value>
        </Property>
        <Property Name="OperationalStatus" Type="uint16[]" Random="false">
        </Property>
        <Property Name="StatusDescriptions" Type="string[]" Random="false">
        </Property>
        <Property Name="Status" Type="string" Random="false">
        </Property>
        <Property Name="Caption" Type="string" Random="false">
        </Property>
        <Property Name="Description" Type="string" Random="false">
        </Property>
        <Property Name="ElementName" Type="string" Random="false">
        </Property>
    </Class>
    
    <Class Name="LSISSI_StorageManagementSystem" Namespace="/interop" NOI="1">
        <Property Name="CreationClassName" Type="string" Random="false" Key="true">
            <Value>LSISSI_StorageManagementSystem</Value>
        </Property>
        <Property Name="Name" Type="string" Random="true" Seperator="." Multiple="true" Key="true">
			<Value>2</Value>
			<Value>2</Value>
			<Value>2</Value>
			<Value>2</Value>>
        </Property>
        <Property Name="NameFormat" Type="string" Random="false">
            <Value>IP</Value>
        </Property>
        <Property Name="PrimaryOwnerName" Type="string" Random="false">
        </Property>
        <Property Name="PrimaryOwnerContact" Type="string" Random="false">
        </Property>
        <Property Name="Roles" Type="string[]" Random="false">
        </Property>
        <Property Name="EnabledState" Type="uint16" Random="false">
            <Value>5</Value>
        </Property>
        <Property Name="OtherEnabledState" Type="string" Random="false">
        </Property>
        <Property Name="RequestedState" Type="uint16" Random="false">
            <Value>5</Value>
        </Property>
        <Property Name="EnabledDefault" Type="uint16" Random="false">
            <Value>2</Value>
        </Property>
        <Property Name="TimeOfLastStateChange" Type="datetime" Random="false">
        </Property>
        <Property Name="InstallDate" Type="datetime" Random="false">
        </Property>
        <Property Name="OperationalStatus" Type="uint16[]" Random="false">
            <Value>2</Value>
        </Property>
        <Property Name="StatusDescriptions" Type="string[]" Random="false">
            <Value>OK</Value>
        </Property>
        <Property Name="Status" Type="string" Random="false">
        </Property>
        <Property Name="Caption" Type="string" Random="false">
        </Property>
        <Property Name="Description" Type="string" Random="false">
            <Value>LSISSI Storage Management System</Value>
        </Property>
        <Property Name="ElementName" Type="string" Random="false">
            <Value>LSISSI Storage Management System</Value>
        </Property>
    </Class>
    
    <Class Name="LSISSI_CIMXMLCommunicationMechanism" Namespace="/interop" NOI="1">
        <Property Name="CommunicationMechanism" Type="uint16" Random="false">
            <Value>2</Value>
        </Property>
        <Property Name="Version" Type="string" Random="false">
            <Value>1.0</Value>
        </Property>
        <Property Name="CIMXMLProtocolVersion" Type="uint16" Random="false">
        </Property>
        <Property Name="CIMValidated" Type="boolean" Random="false">
            <Value>false</Value>
        </Property>
        <Property Name="OtherCommunicationMechanismDescription" Type="string" Random="false">
        </Property>
        <Property Name="FunctionalProfilesSupported" Type="uint16[]" Random="false">
            <Value>2</Value>
        </Property>
        <Property Name="FunctionalProfileDescriptions" Type="string[]" Random="false">
            <Value>Basic Read</Value>
        </Property>
        <Property Name="MultipleOperationsSupported" Type="boolean" Random="false">
            <Value>true</Value>
        </Property>
        <Property Name="AuthenticationMechanismsSupported" Type="uint16[]" Random="false">
            <Value>3</Value>
        </Property>
        <Property Name="AuthenticationMechanismDescriptions" Type="string[]" Random="false">
        </Property>
        <Property Name="SystemCreationClassName" Type="string" Random="false" Key="true">
            <Value>LSISSI_StorageManagementSystem</Value>
        </Property>
		<Property Name="SystemName" Type="string" Random="true" Seperator="."
			Multiple="true" Key="true">
			<Value>2</Value>
			<Value>2</Value>
			<Value>2</Value>
			<Value>2</Value>>
		</Property>
        <Property Name="CreationClassName" Type="string" Random="false" Key="true">
            <Value>LSISSI_CIMXMLCommunicationMechanism</Value>
        </Property>
        <Property Name="Name" Type="string" Random="false" Key="true">
            <Value>CIM-XML Communication Mechanism</Value>
        </Property>
        <Property Name="EnabledState" Type="uint16" Random="false">
            <Value>5</Value>
        </Property>
        <Property Name="OtherEnabledState" Type="string" Random="false">
        </Property>
        <Property Name="RequestedState" Type="uint16" Random="false">
            <Value>5</Value>
        </Property>
        <Property Name="EnabledDefault" Type="uint16" Random="false">
            <Value>2</Value>
        </Property>
        <Property Name="TimeOfLastStateChange" Type="datetime" Random="false">
        </Property>
        <Property Name="InstallDate" Type="datetime" Random="false">
        </Property>
        <Property Name="OperationalStatus" Type="uint16[]" Random="false">
            <Value>2</Value>
        </Property>
        <Property Name="StatusDescriptions" Type="string[]" Random="false">
            <Value>OK</Value>
        </Property>
        <Property Name="Status" Type="string" Random="false">
        </Property>
        <Property Name="Caption" Type="string" Random="false">
        </Property>
        <Property Name="Description" Type="string" Random="false">
        </Property>
        <Property Name="ElementName" Type="string" Random="false">
            <Value>CIM-XML Communication Mechanism</Value>
        </Property>
    </Class>
    
    <Class Name="LSISSI_ObjectManagerClientProtocolAdapter" Namespace="/interop" NOI="2">
        <Property Name="PortNumber" Type="uint32" Random="false" Multiple="true">
            <Value>5988</Value>
            <Value>5987</Value>            
        </Property>
        <Property Name="classPath" Type="string[]" Random="false">
        </Property>
        <Property Name="ImplClass" Type="string" Random="false" Multiple="true">
            <Value>org.wbemservices.wbem.cimom.adapters.client.http.HttpService</Value>
            <Value>org.wbemservices.wbem.cimom.adapters.client.rmi.CIMOMRMIImpl</Value>
        </Property>
        <Property Name="SystemCreationClassName" Type="string" Random="false" Key="true">
            <Value>Solaris_ComputerSystem</Value>
        </Property>
        <Property Name="SystemName" Type="string" Random="false" Key="true">
            <Value>junkyard</Value>
        </Property>
        <Property Name="CreationClassName" Type="string" Random="false" Key="true" Multiple="true">
            <Value>CIMXMLObjectManagerClientProtocolAdapter</Value>
            <Value>RMIObjectManagerClientProtocolAdapter</Value>
        </Property>
        <Property Name="Name" Type="string" Random="false" Key="true">
            <Value>cim-xml</Value>
        </Property>
        <Property Name="PrimaryOwnerName" Type="string" Random="false">
        </Property>
        <Property Name="PrimaryOwnerContact" Type="string" Random="false">
        </Property>
        <Property Name="StartMode" Type="string" Random="false">
            <Value>Automatic</Value>
        </Property>
        <Property Name="Started" Type="boolean" Random="false">
            <Value>true</Value>
        </Property>
        <Property Name="EnabledState" Type="uint16" Random="false">
            <Value>5</Value>
        </Property>
        <Property Name="OtherEnabledState" Type="string" Random="false">
        </Property>
        <Property Name="RequestedState" Type="uint16" Random="false">
            <Value>5</Value>
        </Property>
        <Property Name="EnabledDefault" Type="uint16" Random="false">
            <Value>2</Value>
        </Property>
        <Property Name="TimeOfLastStateChange" Type="datetime" Random="false">
        </Property>
        <Property Name="InstallDate" Type="datetime" Random="false">
        </Property>
        <Property Name="OperationalStatus" Type="uint16[]" Random="false">
        </Property>
        <Property Name="StatusDescriptions" Type="string[]" Random="false">
        </Property>
        <Property Name="Status" Type="string" Random="false">
        </Property>
        <Property Name="Caption" Type="string" Random="false" Multiple="true">
            <Value>Sun Java WBEM Protocol Adapter</Value>
            <Value>JAVA RMI Protocol Adapter</Value>
        </Property>
        <Property Name="Description" Type="string" Random="false">
            <Value>This is the Sun Java WBEM Protocol Adapter</Value>
        </Property>
        <Property Name="ElementName" Type="string" Random="false">
        </Property>
    </Class>
    
    <Class Name="LSISSI_CIMXMLObjectManagerClientProtocolAdapter" Namespace="/interop" NOI="1">
        <Property Name="PortNumber" Type="uint32" Random="false">
            <Value>5989</Value>
        </Property>
        <Property Name="SSLEnable" Type="boolean" Random="false">
            <Value>true</Value>
        </Property>
        <Property Name="SSLAuthentication" Type="boolean" Random="false">
            <Value>false</Value>
        </Property>
        <Property Name="SSLKeyStoreFile" Type="string" Random="false">
            <Value>C:\\EngenioProvider\\SMI_SProvider\\bin\\..\\..\\SMI_SProvider\\bin\\myKeyStoreFile</Value>
        </Property>
        <Property Name="SSLKeyStorePass" Type="string" Random="false">
            <Value>password</Value>
        </Property>
        <Property Name="SSLKeyStoreKeyPass" Type="string" Random="false">
            <Value>password</Value>
        </Property>
        <Property Name="SSLTrustStoreFile" Type="string" Random="false">
            <Value>not_used</Value>
        </Property>
        <Property Name="SSLTrustStorePass" Type="string" Random="false">
            <Value>not_used</Value>
        </Property>
        <Property Name="classPath" Type="string[]" Random="false">
        </Property>
        <Property Name="ImplClass" Type="string" Random="false">
            <Value>org.wbemservices.wbem.cimom.adapters.client.http.HttpService</Value>
        </Property>
        <Property Name="SystemCreationClassName" Type="string" Random="false" Key="true">
            <Value>Solaris_ComputerSystem</Value>
        </Property>
        <Property Name="SystemName" Type="string" Random="false" Key="true">
            <Value>junkyard</Value>
        </Property>
        <Property Name="CreationClassName" Type="string" Random="false" Key="true">
            <Value>CIMXMLObjectManagerClientProtocolAdapter</Value>
        </Property>
        <Property Name="Name" Type="string" Random="false" Key="true">
            <Value>cim-xml</Value>
        </Property>
        <Property Name="PrimaryOwnerName" Type="string" Random="false">
        </Property>
        <Property Name="PrimaryOwnerContact" Type="string" Random="false">
        </Property>
        <Property Name="StartMode" Type="string" Random="false">
            <Value>Automatic</Value>
        </Property>
        <Property Name="Started" Type="boolean" Random="false">
            <Value>true</Value>
        </Property>
        <Property Name="EnabledState" Type="uint16" Random="false">
            <Value>5</Value>
        </Property>
        <Property Name="OtherEnabledState" Type="string" Random="false">
        </Property>
        <Property Name="RequestedState" Type="uint16" Random="false">
            <Value>5</Value>
        </Property>
        <Property Name="EnabledDefault" Type="uint16" Random="false">
            <Value>2</Value>
        </Property>
        <Property Name="TimeOfLastStateChange" Type="datetime" Random="false">
        </Property>
        <Property Name="InstallDate" Type="datetime" Random="false">
        </Property>
        <Property Name="OperationalStatus" Type="uint16[]" Random="false">
        </Property>
        <Property Name="StatusDescriptions" Type="string[]" Random="false">
        </Property>
        <Property Name="Status" Type="string" Random="false">
        </Property>
        <Property Name="Caption" Type="string" Random="false">
            <Value>Sun Java WBEM Protocol Adapter</Value>
        </Property>
        <Property Name="Description" Type="string" Random="false">
            <Value>This is the Sun Java WBEM Protocol Adapter</Value>
        </Property>
        <Property Name="ElementName" Type="string" Random="false">
        </Property>
    </Class>
    
    <Class Name="LSISSI_ObjectManager" Namespace="/interop" NOI="1">
        <Property Name="GatherStatisticalData" Type="boolean" Random="false">
            <Value>true</Value>
        </Property>
        <Property Name="Name" Type="string" Random="true" Seperator="." Multiple="true" Key="true" Prefix="LSISSI:">
			<Value>2</Value>
			<Value>2</Value>
			<Value>2</Value>
			<Value>2</Value>>
        </Property>
        <Property Name="ElementName" Type="string" Random="false">
            <Value>CIM Server</Value>
        </Property>
        <Property Name="Description" Type="string" Random="false">
            <Value>CIM Provider CIMOM</Value>
        </Property>
        <Property Name="SystemCreationClassName" Type="string" Random="false" Key="true">
            <Value>LSISSI_StorageManagementSystem</Value>
        </Property>
        <Property Name="SystemName" Type="string" Random="false" Key="true" Refers="Name">
            <Value></Value>
        </Property>
        <Property Name="CreationClassName" Type="string" Random="false" Key="true">
            <Value>LSISSI_ObjectManager</Value>
        </Property>
        <Property Name="PrimaryOwnerName" Type="string" Random="false">
        </Property>
        <Property Name="PrimaryOwnerContact" Type="string" Random="false">
        </Property>
        <Property Name="StartMode" Type="string" Random="false">
        </Property>
        <Property Name="Started" Type="boolean" Random="false">
            <Value>true</Value>
        </Property>
        <Property Name="EnabledState" Type="uint16" Random="false">
            <Value>5</Value>
        </Property>
        <Property Name="OtherEnabledState" Type="string" Random="false">
        </Property>
        <Property Name="RequestedState" Type="uint16" Random="false">
            <Value>5</Value>
        </Property>
        <Property Name="EnabledDefault" Type="uint16" Random="false">
            <Value>2</Value>
        </Property>
        <Property Name="TimeOfLastStateChange" Type="datetime" Random="false">
        </Property>
        <Property Name="InstallDate" Type="datetime" Random="false">
        </Property>
        <Property Name="OperationalStatus" Type="uint16[]" Random="false">
            <Value>2</Value>
        </Property>
        <Property Name="StatusDescriptions" Type="string[]" Random="false">
            <Value>OK</Value>
        </Property>
        <Property Name="Status" Type="string" Random="false">
        </Property>
        <Property Name="Caption" Type="string" Random="false">
        </Property>
    </Class>
    
    <Class Name="LSISSI_CimomSharedSecretService" Namespace="/interop" NOI="1">
        <Property Name="Algorithm" Type="string" Random="false">
            <Value>HMAC-MD5</Value>
        </Property>
        <Property Name="Protocol" Type="string" Random="false">
        </Property>
        <Property Name="SystemCreationClassName" Type="string" Random="false" Key="true">
            <Value>LSISSI_StorageManagementSystem</Value>
        </Property>
        <Property Name="SystemName" Type="string" Random="false" Key="true" Refers="SystemName" External="LSISSI_Namespace">
            <Value></Value>
        </Property>
        <Property Name="CreationClassName" Type="string" Random="false" Key="true">
            <Value>LSISSI_CimomSharedSecretService</Value>
        </Property>
        <Property Name="Name" Type="string" Random="false" Key="true">
            <Value>CimomSharedSecretService</Value>
        </Property>
        <Property Name="PrimaryOwnerName" Type="string" Random="false">
        </Property>
        <Property Name="PrimaryOwnerContact" Type="string" Random="false">
        </Property>
        <Property Name="StartMode" Type="string" Random="false">
        </Property>
        <Property Name="Started" Type="boolean" Random="false">
            <Value>true</Value>
        </Property>
        <Property Name="EnabledState" Type="uint16" Random="false">
            <Value>5</Value>
        </Property>
        <Property Name="OtherEnabledState" Type="string" Random="false">
        </Property>
        <Property Name="RequestedState" Type="uint16" Random="false">
            <Value>5</Value>
        </Property>
        <Property Name="EnabledDefault" Type="uint16" Random="false">
            <Value>2</Value>
        </Property>
        <Property Name="TimeOfLastStateChange" Type="datetime" Random="false">
        </Property>
        <Property Name="InstallDate" Type="datetime" Random="false">
        </Property>
        <Property Name="OperationalStatus" Type="uint16[]" Random="false">
        </Property>
        <Property Name="StatusDescriptions" Type="string[]" Random="false">
        </Property>
        <Property Name="Status" Type="string" Random="false">
        </Property>
        <Property Name="Caption" Type="string" Random="false">
        </Property>
        <Property Name="Description" Type="string" Random="false">
        </Property>
        <Property Name="ElementName" Type="string" Random="false">
            <Value>CIMOM Credentials Service</Value>
        </Property>
    </Class>
    
    <Class Name="LSISSI_ElementConformsToProfile" Namespace="/interop" NOI="" Association="true" AutoGenerate="false">
   		<Antecedent Name="ConformantStandard" ClassName="LSISSI_RegisteredProfile" Namespace="/interop" Key="true"/>
		<Dependent Name="ManagedElement" ClassName="LSISSI_StorageSystem" Namespace="/root/lsissi11" Key="true"/>
    </Class>
    
    <Class Name="LSISSI_ServiceAvailableToElement" Namespace="/interop" NOI="" Association="true" AutoGenerate="false">
   		<Antecedent Name="ServiceProvided" ClassName="LSISSI_DeviceDiscoveryService" Namespace="/interop" Key="true"/>
		<Dependent Name="UserOfService" ClassName="LSISSI_RegisteredProfile" Namespace="/interop" Key="true"/>
    </Class>
    
    <Class Name="LSISSI_ObjectManagerElementConformsToProfile" Namespace="/interop" NOI="" Association="true">
   		<Antecedent Name="ConformantStandard" ClassName="LSISSI_ServerRegisteredProfile" Namespace="/interop" Key="true"/>
		<Dependent Name="ManagedElement" ClassName="LSISSI_StorageManagementSystem" Namespace="/interop" Key="true"/>
    </Class>
	
	<Class Name="LSISSI_ObjectManagerElementConformsToProfile" Namespace="/interop" NOI="" Association="true">
   		<Antecedent Name="ConformantStandard" ClassName="LSISSI_ServerRegisteredProfile" Namespace="/interop" Key="true"/>
		<Dependent Name="ManagedElement" ClassName="LSISSI_ObjectManager" Namespace="/interop" Key="true"/>
    </Class>
    
    <Class Name="LSISSI_ServerElementSoftwareIdentity" Namespace="/interop" NOI="" Association="true">
   		<Antecedent Name="Antecedent" ClassName="LSISSI_ServerProviderSoftwareIdentity" Namespace="/interop" Key="true"/>
		<Dependent Name="Dependent" ClassName="LSISSI_ServerRegisteredProfile" Namespace="/interop" Key="true"/>
        <Property Name="UpgradeCondition" Type="uint16" Random="false">
        </Property>
        <Property Name="OtherUpgradeCondition" Type="string" Random="false">
        </Property>
    </Class>
    
    <Class Name="LSISSI_ServerHostedAccessPoint" Namespace="/interop" NOI="" Association="true">
   		<Antecedent Name="Antecedent" ClassName="LSISSI_StorageManagementSystem" Namespace="/interop" sKey="true"/>
		<Dependent Name="Dependent" ClassName="LSISSI_CIMXMLCommunicationMechanism" Namespace="/interop" Key="true"/>
    </Class>
        
    <Class Name="LSISSI_NamespaceInManager" Namespace="/interop" NOI="" Association="true">
   		<Antecedent Name="Antecedent" ClassName="LSISSI_ObjectManager" Namespace="/interop" Key="true"/>
		<Dependent Name="Dependent" ClassName="LSISSI_Namespace" Namespace="/interop" Key="true"/>
    </Class>
    
    <Class Name="LSISSI_ObjectManagerHostedService" Namespace="/interop" NOI="" Association="true">
   		<Antecedent Name="Antecedent" ClassName="LSISSI_StorageManagementSystem" Namespace="/interop" Key="true"/>
		<Dependent Name="Dependent" ClassName="LSISSI_ObjectManager" Namespace="/interop" Key="true"/>
    </Class>
    
    <Class Name="LSISSI_SubprofileRequiresProfile" Namespace="/interop" NOI="" Association="true">
   		<Antecedent Name="Antecedent" ClassName="LSISSI_RegisteredProfile" Namespace="/interop" Key="true"/>
		<Dependent Name="Dependent" ClassName="LSISSI_RegisteredSubProfile" Namespace="/interop" Key="true"/>
		<!--  
			Needs to map the instances such that all 1.1.0 point to same with sub profile and so on.
			There are total 37 instances.
		-->
		<Mapping Type="Custom">
			<Map Antecedent="1">1-11</Map>
			<Map Antecedent="2">12-24</Map>
			<Map Antecedent="3">25-37</Map>
		</Mapping>
    </Class>
    
    <Class Name="LSISSI_CommMechanismForManager" Namespace="/interop" NOI="" Association="true">
   		<Antecedent Name="Antecedent" ClassName="LSISSI_ObjectManager" Namespace="/interop" Key="true"/>
		<Dependent Name="Dependent" ClassName="LSISSI_CIMXMLCommunicationMechanism" Namespace="/interop" Key="true"/>
    </Class>
</SAN_Simulator>